# libdar::mask Class Reference
[API]

the generic class, parent of all masks More...

`#include <mask.hpp>`

Inherited by libdar::bool_mask, libdar::et_mask, libdar::exclude_dir_mask, libdar::mask_list, libdar::not_mask, libdar::regular_mask, libdar::same_path_mask, libdar::simple_mask, and libdar::simple_path_mask.

List of all members.

## Public Member Functions
virtual bool | is_covered (const std::string &expression) const =0
| check wether the given string is covered by the mask
virtual mask * | clone () const =0

## Detailed Description

the generic class, parent of all masks

this is a pure virtual class that is used in API call any of the following mask classes inherit from this class

Definition at line 61 of file mask.hpp.

## Member Function Documentation

virtual mask* libdar::mask::clone | ( |  | ) | const`[pure virtual]`

this is to be able to copy a mask without knowing its exact class and without loosing its specialized data

Implemented in libdar::bool_mask, libdar::simple_mask, libdar::regular_mask, libdar::not_mask, libdar::et_mask, libdar::ou_mask, libdar::simple_path_mask, libdar::same_path_mask, libdar::exclude_dir_mask, and libdar::mask_list.

virtual bool libdar::mask::is_covered | ( | const std::string & | expression | ) | const`[pure virtual]`

check wether the given string is covered by the mask

Parameters:

  `[in]` | expression | is the filename to check

Returns:
  true if the given filename is covered by the mask

Note:
  only libdar internal need to call this method

Implemented in libdar::bool_mask, libdar::simple_mask, libdar::regular_mask, libdar::not_mask, libdar::et_mask, libdar::ou_mask, libdar::simple_path_mask, libdar::same_path_mask, libdar::exclude_dir_mask, and libdar::mask_list.

Referenced by libdar::not_mask::is_covered().

The documentation for this class was generated from the following file:

- mask.hpp